services:
  python:
    image: python:${PYTHON_VERSION}
    container_name: ${CONTAINER_NAME}
    working_dir: /app
    volumes:
      - ${CODE_DIR}:/app
      - ./run.sh:/run.sh
      - ./.env:/.env
    command: bash /run.sh
    networks:
      - 1panel-network
    ports:
      - ${HOST_IP}:${PANEL_APP_PORT_HTTP}:${APP_PORT}
    restart: on-failure:5
    labels:
      createdBy: "Apps"
networks:
  1panel-network:
    external: true
